# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools
# END SourceDeps(oneline)
%define oldname python-SocksiPy
%define fedora 28
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           python-module-SocksiPy
Version:        1.00
Release:        alt2_18
Summary:        A Python SOCKS module

Group:          Development/Other
License:        BSD
URL:            http://socksipy.sourceforge.net/
Source0:        http://downloads.sourceforge.net/socksipy/SocksiPy%%20%{version}/SocksiPy.tar.gz
# https://sourceforge.net/tracker/?func=detail&aid=2954091&group_id=180628&atid=893947
Source1:        python-SocksiPy-setup.py
BuildArch:      noarch

BuildRequires:  python-devel


%global _description\
This Python module allows you to create TCP connections through a SOCKS\
proxy without any special effort.\

Source44: import.info


%description 

%_description
%package -n python-module-socksipy
Group: Development/Other
Summary: %summary
%{?python_provide:%python_provide python2-socksipy}

%description -n python-module-socksipy 

%_description
%prep
%setup -n %{oldname}-%{version} -q -c
cp %{SOURCE1} setup.py

# Fix file end-of-line encoding
for f in README BUGS LICENSE; do
    sed 's/\r//' $f > $f.new
    touch -r $f $f.new
    mv -f $f.new $f
done

%build
%python_build


%install
%python_install

 

%files -n python-module-socksipy
%doc BUGS LICENSE README
%{python_sitelibdir_noarch}/socks*
%{python_sitelibdir_noarch}/SocksiPy*.egg-info


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt2_18
- update to new release by fcimport

* Fri Jun 22 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt2_17
- fixed alt binary name

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_17
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_14
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_12
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_10
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_9
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_8
- update to new release by fcimport

* Fri Aug 17 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_7
- new version

